ELOGIND(8)

NAME
elogind - Login manager

SYNOPSIS

elogind [OPTIONS...] {COMMAND}

DESCRIPTION

elogind is a system service that manages user logins. It is responsible for:

    • Keeping track of users and sessions, their processes and their idle state

    • Providing PolicyKit-based access for users to operations such as system shutdown or sleep

    • Implementing a shutdown/sleep inhibition logic for applications

    • Handling of power/sleep hardware keys

    • Multi-seat management

    • Session switch management

    • Device access management for users

    • Removing of all System V and POSIX IPC objects belonging to the user after the last of the user's sessions terminated. See RemoveIPC= in logind.conf(5) about how to configure this behavior.

User sessions are registered in elogind via the pam_elogind(8) PAM module.

See logind.conf(5) for information about the configuration of this service.

See Multi-Seat on Linux[1] for an introduction into basic concepts of logind such as users, sessions and seats.

See the logind D-Bus API Documentation[2] for information about the APIs logind provides.

For more information on the inhibition logic see the Inhibitor Lock Developer Documentation[3].

SIGNALS

SIGTERM
    Upon receiving this signal elogind exits, cleaning up all sessions and seats.

SIGQUIT
    Upon receiving this signal elogind exits, cleaning up all sessions and seats.

SIGINT
    Upon receiving this signal elogind exits, leaving all sessions and seats in place.

SIGHUP
    Reloads the complete daemon configuration. This is mostly equivalent to loginctl reload.

OPTIONS

-D, --daemon
    Daemonize elogind by double-forking into background.

-h, --help
    Show the help text and exit.

HISTORY

elogind 252
    Kernel command-line arguments elogind.unified_cgroup_hierarchy and elogind.legacy_elogind_cgroup_controller were deprecated. Please switch to the unified cgroup hierarchy.

SEE ALSO

The elogind Homepage[4], loginctl(1), logind.conf(5), pam_elogind(8)

NOTES

1.  Multi-Seat on Linux
    http://www.freedesktop.org/wiki/Software/systemd/multiseat

2.  logind D-Bus API Documentation
    http://www.freedesktop.org/wiki/Software/systemd/logind

3.  Inhibitor Lock Developer Documentation
    http://www.freedesktop.org/wiki/Software/systemd/inhibit

4.  elogind Homepage
    https://github.com/elogind/elogind/